/*
 * Copyright 2016 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.gradle.model.internal.inspect;

import org.gradle.model.Model;
import org.gradle.model.Mutate;
import org.gradle.model.RuleInput;
import org.gradle.model.RuleSource;

import java.util.List;

abstract class AbstractJavaPropertyRules extends RuleSource {
    AbstractJavaPropertyRules() {
    }

    @RuleInput
    abstract String getValue();
    abstract void setValue(String value);

    @RuleInput
    protected abstract int getNumber();
    protected abstract void setNumber(int value);

    @Model
    String thing(int number) {
        return String.valueOf(number);
    }

    @Mutate
    protected void change(List<Number> numbers, String string) {
    }
}
