/*
 * Copyright 2020 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// tag::apply_plugin[]
plugins {
    `version-catalog`
    `maven-publish`
}
// end::apply_plugin[]

group = "com.mycompany"
version = "1.0"

// tag::catalog_spec[]
catalog {
    // declare the aliases, bundles and versions in this block
    versionCatalog {
        library("my-lib", "com.mycompany:mylib:1.2")
    }
}
// end::catalog_spec[]

// tag::catalog_publish[]
publishing {
    publications {
        create<MavenPublication>("maven") {
            from(components["versionCatalog"])
        }
    }
}
// end::catalog_publish[]

publishing {
    repositories {
        maven {
            url = uri("${buildDir}/repo")
        }
    }
}
