/*
 * Copyright 2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.gradle.plugins.ide.eclipse

import org.gradle.api.internal.ConventionTask
import org.gradle.api.tasks.AbstractSpockTaskTest
import org.gradle.plugins.ide.api.XmlFileContentMerger
import org.gradle.plugins.ide.eclipse.model.EclipseWtpComponent
import org.gradle.util.TestUtil

class GenerateEclipseWtpComponentTest extends AbstractSpockTaskTest {
    private eclipseComponent

    def setup() {
        eclipseComponent = createTask(GenerateEclipseWtpComponent)
        eclipseComponent.component = TestUtil.newInstance(EclipseWtpComponent, project, Mock(XmlFileContentMerger))
    }

    ConventionTask getTask() { eclipseComponent }
}
