/*
 * Copyright 2021 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.gradle.api

abstract class QueryAndMutateFromCreateDomainObjectContainerIntegrationTest extends AbstractDomainObjectContainerIntegrationTest {
    def "can execute query and mutating methods #method.key from create(String)"() {
        buildFile << """
            testContainer.create("a") {
                ${method.value}
            }
        """
        expect:
        succeeds "help"
        where:
        method << getQueryMethods() + getMutationMethods()
    }
}

class QueryAndMutateFromCreateNamedDomainObjectContainerIntegrationTest extends QueryAndMutateFromCreateDomainObjectContainerIntegrationTest implements AbstractNamedDomainObjectContainerIntegrationTest {
}

class QueryAndMutateFromCreateTaskContainerIntegrationTest extends QueryAndMutateFromCreateDomainObjectContainerIntegrationTest implements AbstractTaskContainerIntegrationTest {
}
